guvcview crashed with SIGSEGV in get_ctrl_by_id()

Bug #1373221 reported by Alberto Salvia Novella on 2014-09-24
96
This bug affects 14 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
High
Unassigned
guvcview
Undecided
auto-pj.assis
libv4l v4l-utils
Undecided
auto-tempbuntu
guvcview (Ubuntu)
High
Unassigned
Nominated for Trusty by Alberto Salvia Novella
Nominated for Utopic by Alberto Salvia Novella
v4l-utils (Ubuntu)
High
Unassigned
Nominated for Trusty by Alberto Salvia Novella
Nominated for Utopic by Alberto Salvia Novella

Bug Description

HOW TO REPRODUCE:
- Launch guvcview

EXPECTED BEHAVIOUR:
- The application to start normally.

REAL BEHAVIOUR:
- The application crashes.

ProblemType: Crash
DistroRelease: Ubuntu 14.10
Package: guvcview 1.7.3-1.1build2
ProcVersionSignature: Ubuntu 3.16.0-17.23-generic 3.16.3
Uname: Linux 3.16.0-17-generic x86_64
ApportVersion: 2.14.7-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Wed Sep 24 06:35:20 2014
ExecutablePath: /usr/bin/guvcview
InstallationDate: Installed on 2013-05-21 (490 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
ProcCmdline: guvcview
SegvAnalysis:
 Segfault happened at: 0x42d970: mov 0x0,%eax
 PC (0x0042d970) ok
 source "0x0" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: guvcview
StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 ?? ()
 __libc_start_main (main=0x409920, argc=1, argv=0x7fff32c34208, init=<optimised out>, fini=<optimised out>, rtld_fini=<optimised out>, stack_end=0x7fff32c341f8) at libc-start.c:287
Title: guvcview crashed with SIGSEGV in __libc_start_main()
UpgradeStatus: Upgraded to utopic on 2014-09-24 (0 days ago)
UserGroups: adm lpadmin sambashare sudo

StacktraceTop:
 get_ctrl_by_id (id=<optimized out>, control_list=<optimized out>) at v4l2_controls.c:1085
 update_ctrl_flags (control_list=control_list@entry=0x1643cd0, id=<optimized out>) at v4l2_controls.c:517
 update_ctrl_list_flags (control_list=<optimized out>) at v4l2_controls.c:535
 get_ctrl_values (hdevice=11, control_list=0x1643cd0, num_controls=<optimized out>, all_data=all_data@entry=0x0) at v4l2_controls.c:1216
 draw_controls (all_data=all_data@entry=0x7fff32c34090) at img_controls.c:71

summary: - guvcview crashed with SIGSEGV in __libc_start_main()
+ guvcview crashed with SIGSEGV in get_ctrl_by_id()
tags: removed: need-amd64-retrace
information type: Private → Public
Changed in guvcview:
status: New → Confirmed
Paulo Assis (pj-assis) wrote :

I believe this is fixed in the latest guvcview release (version 2.0.0).

https://launchpad.net/~pj-assis/+archive/ubuntu/ppa

Regards,
Paulo

Paulo Assis:
 > I believe this is fixed in the latest guvcview release (version 2.0.0).
 >
 > https://launchpad.net/~pj-assis/+archive/ubuntu/ppa

There aren't any builds for Utopic in this PPA, so I cannot test it.

Changed in guvcview (Ubuntu):
milestone: none → ubuntu-14.10
Paulo Assis (pj-assis) wrote :

Hi,
try this one:

https://code.launchpad.net/~pj-assis/+archive/ubuntu/testing

Regards,
Paulo

2014-09-25 12:40 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> Paulo Assis:
>> I believe this is fixed in the latest guvcview release (version 2.0.0).
>>
>> https://launchpad.net/~pj-assis/+archive/ubuntu/ppa
>
> There aren't any builds for Utopic in this PPA, so I cannot test it.
>
>
>

Paulo Assis:
> try this one:
>
> https://code.launchpad.net/~pj-assis/+archive/ubuntu/testing

With this version (2.0.0) guvcview doesn't crash, but instead the
web-cam window shows black signal no matter which configuration I use,
even that the web-cam LED powers on.

Paulo Assis (pj-assis) wrote :

Hi,
I doubt this is a guvcview issue since it works fine under trusty.

Could you post the output of 'guvcview --verbosity=2'

and also can you check your libv4l2 version ?

I have reports of issues with version 1.4.0 in debian.

Regards,
Paulo

2014-09-25 22:06 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> Paulo Assis:
>>
>> try this one:
>>
>> https://code.launchpad.net/~pj-assis/+archive/ubuntu/testing
>
>
> With this version (2.0.0) guvcview doesn't crash, but instead the web-cam
> window shows black signal no matter which configuration I use, even that the
> web-cam LED powers on.
>
>
>

Paulo Assis (pj-assis) wrote :

Hi,
just to make sure I've added a option to guvcview to disable calls
trough libv4l2:

guvcview --disable_libv4l2

with this all ioctls will go straight into the driver, bypassing libv4l2.

you can upgrade from my testing ppa.

Reagards,
Paulo

2014-09-26 9:23 GMT+01:00 Paulo Assis <email address hidden>:
> Hi,
> I doubt this is a guvcview issue since it works fine under trusty.
>
> Could you post the output of 'guvcview --verbosity=2'
>
> and also can you check your libv4l2 version ?
>
> I have reports of issues with version 1.4.0 in debian.
>
> Regards,
> Paulo
>
> 2014-09-25 22:06 GMT+01:00 Alberto Salvia Novella <email address hidden>:
>> Paulo Assis:
>>>
>>> try this one:
>>>
>>> https://code.launchpad.net/~pj-assis/+archive/ubuntu/testing
>>
>>
>> With this version (2.0.0) guvcview doesn't crash, but instead the web-cam
>> window shows black signal no matter which configuration I use, even that the
>> web-cam LED powers on.
>>
>>
>>

The updated package still doesn't work.

I have tested that the web-cam is working correctly with:
  - Adobe Flash Player.
  - Cheese.
  - Kamoso.

Running "guvcview --disable_libv4l2" gives exactly the same result, using libv4l-0 version 1.2.1-2build1.

Paulo Assis (pj-assis) wrote :

Hi,
From the logs guvcview is receiving empty mjpg frames, so it doesn't
even tries to decode them.
Have you tried setting the format to yuyv ?

guvcview --format=yuyv

You should also set the nodrop option for the uvcvideo driver
(prevents the driver from dropping incomplete frames)

Does dmesg prints out anything usefull?

Anyway I hope to be able test 14.10 in a couple of hours, so I should
be able to run some tests on my own, although with a different camera.

Regards,
Paulo

2014-09-29 10:57 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> Running "guvcview --disable_libv4l2" gives exactly the same result,
> using libv4l-0 version 1.2.1-2build1.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

@ Paulo Assis:

- Executing "guvcview --format=yuyv" or any other format.
- To the "/etc/modprobe.d/uvcvideo.conf" file, adding the"options uvcvideo nodrop=1" line.

Also show the same behaviour.

Paulo Assis (pj-assis) wrote :

Hi,
So I've just installed ubuntu 14.10 in one of my machines and
everything worked has expected.
To my surprise even 1.7.3 (installed by default during the upgrade) is
working without issues.
I've run some tests with the latest git master, and all formats are
working OK, I couldn't replicate your issues.
True that I used a gspca camera, but unless these are caused by a
uvcvideo driver bug, there shouldn't be any difference between the two
(they both follow the v4l2 API).

Please can you post the console output of:
 guvcview --verbosity=3 --format=yuyv

also if possible unplug and then replug your camera, or if not, please run:
sudo rmmod uvcvideo
sudo modprobe uvcvideo

Regards,
Paulo

2014-09-29 13:29 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> ** Attachment added: "dmesg.txt"
> https://bugs.launchpad.net/ubuntu/+source/guvcview/+bug/1373221/+attachment/4219098/+files/dmesg.txt
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

After executing:

sudo rmmod uvcvideo
sudo modprobe uvcvideo

Or unplugging the web-cam from the USB port, the result is the same.

Paulo Assis (pj-assis) wrote :

Hi,
Hum, the frames are still coming empty, or at least with size set to 0.
Are you using a 32 or 64 bit kernel ?
I've run my tests on a 32 bit machine and I cannot test in 64 bit for
several hours.

I've add some more debug info to the logs, so if you could upgrade to
the latest version on my testing ppa and run:

guvcview --verbosity=3 --format=yuyv --disable_libv4l2

then please post the console output.

This doesn't change anything but it prints some info on the mmap
buffers ( size and position), I need to understand what's failing
here.

Regards,
Paulo

2014-09-29 15:26 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> ** Attachment added: "stderr.txt"
> https://bugs.launchpad.net/ubuntu/+source/guvcview/+bug/1373221/+attachment/4219225/+files/stderr.txt
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

@ Paulo Assis:

I'm using a 64-bit kernel.

Paulo Assis (pj-assis) wrote :

Hi,
So I was finally able to test this in both 32 and 64 bit kernels and
while the gspca driver works fine on both (eye toy 2 camera), uvcvideo
(logitech c930e) fails on both kernels, increasing the driver
verbosity I get:
 EOF on empty paylod
this is consistent with the zero size frames I'm getting in guvcview.

So I would say this is definitly a driver issue, I'll try to install
the latest media tree to check if this fixes things:
http://git.linuxtv.org/cgit.cgi/media_build.git/about/

I think a bug report should be filed against the current ubuntu 14.10
kernel, referring the uvcvideo issues.

Regards,
Paulo

2014-09-29 17:26 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> ** Attachment added: "stderr.txt"
> https://bugs.launchpad.net/ubuntu/+source/guvcview/+bug/1373221/+attachment/4219301/+files/stderr.txt
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

Paulo Assis (pj-assis) wrote :

OK, so this was already reported:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1362358

Regards,
Paulo

2014-09-30 9:24 GMT+01:00 Paulo Assis <email address hidden>:
> Hi,
> So I was finally able to test this in both 32 and 64 bit kernels and
> while the gspca driver works fine on both (eye toy 2 camera), uvcvideo
> (logitech c930e) fails on both kernels, increasing the driver
> verbosity I get:
> EOF on empty paylod
> this is consistent with the zero size frames I'm getting in guvcview.
>
> So I would say this is definitly a driver issue, I'll try to install
> the latest media tree to check if this fixes things:
> http://git.linuxtv.org/cgit.cgi/media_build.git/about/
>
> I think a bug report should be filed against the current ubuntu 14.10
> kernel, referring the uvcvideo issues.
>
> Regards,
> Paulo
>
> 2014-09-29 17:26 GMT+01:00 Alberto Salvia Novella <email address hidden>:
>> ** Attachment added: "stderr.txt"
>> https://bugs.launchpad.net/ubuntu/+source/guvcview/+bug/1373221/+attachment/4219301/+files/stderr.txt
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1373221
>>
>> Title:
>> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

Paulo Assis (pj-assis) wrote :

Hi,
I've set a workaround for uvcvideo buggy behaviour, I just set the
buffer length to the maximum value if bytesused is zero.
Anyway this is clearly a bug in uvcvideo since it violates the v4l2 api:
http://linuxtv.org/downloads/v4l-dvb-apis/buffer.html

You should be able to upgrade from my testing ppa in a few moments
(build pending).

Regards,
Paulo

2014-09-30 9:28 GMT+01:00 Paulo Assis <email address hidden>:
> OK, so this was already reported:
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1362358
>
> Regards,
> Paulo
>
> 2014-09-30 9:24 GMT+01:00 Paulo Assis <email address hidden>:
>> Hi,
>> So I was finally able to test this in both 32 and 64 bit kernels and
>> while the gspca driver works fine on both (eye toy 2 camera), uvcvideo
>> (logitech c930e) fails on both kernels, increasing the driver
>> verbosity I get:
>> EOF on empty paylod
>> this is consistent with the zero size frames I'm getting in guvcview.
>>
>> So I would say this is definitly a driver issue, I'll try to install
>> the latest media tree to check if this fixes things:
>> http://git.linuxtv.org/cgit.cgi/media_build.git/about/
>>
>> I think a bug report should be filed against the current ubuntu 14.10
>> kernel, referring the uvcvideo issues.
>>
>> Regards,
>> Paulo
>>
>> 2014-09-29 17:26 GMT+01:00 Alberto Salvia Novella <email address hidden>:
>>> ** Attachment added: "stderr.txt"
>>> https://bugs.launchpad.net/ubuntu/+source/guvcview/+bug/1373221/+attachment/4219301/+files/stderr.txt
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1373221
>>>
>>> Title:
>>> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

Paulo Assis:
> I've set a workaround for uvcvideo buggy behaviour, I just set the
> buffer length to the maximum value if bytesused is zero.

Thank you: this solves the problem; except when using MJPG as camera
output, what still makes the application to crash.

Changed in uvcvideo (Ubuntu):
importance: Undecided → High
status: New → Confirmed
affects: uvcvideo (Ubuntu) → v4l-utils (Ubuntu)
Changed in libv4l:
status: New → Confirmed
Changed in v4l-utils (Ubuntu):
status: Confirmed → Triaged

@ Stéphane Marguet:

What is your opinion about this bug?

Changed in v4l-utils (Ubuntu):
milestone: none → ubuntu-14.10
Changed in hundredpapercuts:
status: New → Triaged
importance: Undecided → High
description: updated
Paulo Assis (pj-assis) wrote :

Hi,
1.7.3 won't work with kernels >=3.16, you will need a newer version,
uvcvideo suffered a regression that will only be fixed (hopefully) in
3.18, the developer already posted a patch to fix it.
I'll make a new release (2.0.1) in the next couple of days with a
workaround for this. you will need this version to get guvcview up and
running with uvcvideo devices.

Note: libv4l2 (1.4.0 and 1.5.0) is also broken, a fix is expected in
1.6.0, but you will be able to disable its use in guvcview in this
version.

Regards,
Paulo

2014-10-01 0:08 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> ** Description changed:
>
> - Just launched the application and crashed.
> + HOW TO REPRODUCE:
> + - Launch guvcview
> +
> + EXPECTED BEHAVIOUR:
> + - The application to start normally.
> +
> + REAL BEHAVIOUR:
> + - The application crashes.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 14.10
> Package: guvcview 1.7.3-1.1build2
> ProcVersionSignature: Ubuntu 3.16.0-17.23-generic 3.16.3
> Uname: Linux 3.16.0-17-generic x86_64
> ApportVersion: 2.14.7-0ubuntu2
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Wed Sep 24 06:35:20 2014
> ExecutablePath: /usr/bin/guvcview
> InstallationDate: Installed on 2013-05-21 (490 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
> ProcCmdline: guvcview
> SegvAnalysis:
> - Segfault happened at: 0x42d970: mov 0x0,%eax
> - PC (0x0042d970) ok
> - source "0x0" (0x00000000) not located in a known VMA region (needed readable region)!
> - destination "%eax" ok
> + Segfault happened at: 0x42d970: mov 0x0,%eax
> + PC (0x0042d970) ok
> + source "0x0" (0x00000000) not located in a known VMA region (needed readable region)!
> + destination "%eax" ok
> SegvReason: reading NULL VMA
> Signal: 11
> SourcePackage: guvcview
> StacktraceTop:
> - ?? ()
> - ?? ()
> - ?? ()
> - ?? ()
> - __libc_start_main (main=0x409920, argc=1, argv=0x7fff32c34208, init=<optimised out>, fini=<optimised out>, rtld_fini=<optimised out>, stack_end=0x7fff32c341f8) at libc-start.c:287
> + ?? ()
> + ?? ()
> + ?? ()
> + ?? ()
> + __libc_start_main (main=0x409920, argc=1, argv=0x7fff32c34208, init=<optimised out>, fini=<optimised out>, rtld_fini=<optimised out>, stack_end=0x7fff32c341f8) at libc-start.c:287
> Title: guvcview crashed with SIGSEGV in __libc_start_main()
> UpgradeStatus: Upgraded to utopic on 2014-09-24 (0 days ago)
> UserGroups: adm lpadmin sambashare sudo
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

Paulo Assis:
> 1.7.3 won't work with kernels >=3.16, you will need a newer version,
> uvcvideo suffered a regression that will only be fixed (hopefully) in
> 3.18, the developer already posted a patch to fix it.
> I'll make a new release (2.0.1) in the next couple of days with a
> workaround for this. you will need this version to get guvcview up and
> running with uvcvideo devices.
>
> Note: libv4l2 (1.4.0 and 1.5.0) is also broken, a fix is expected in
> 1.6.0, but you will be able to disable its use in guvcview in this
> version.

What are you plans to guvcview not to be affected by these breakdowns in
future?

Paulo Assis (pj-assis) wrote :

Well, the kernel issue is now defintily fixed, so it shouldn't be a
problem in the future, libv4l2 can now be disabled, so we can
workaround any issues with it.
As for libavcodec, they don't offer any garanties on the API, so it
usually causes some breakdowns from time to time, but this is true for
all aplications.
I actually tend to fix things rather quickly, unfurtunately in the
case of Ubuntu they can take some time to upgrade, so you are left
with a non working version until the next release. For debian it's
easier since it's a rolling realease, I just contact the mantainer and
he upgrades to the current (fixed) version.

In the case of ubuntu, the only option is to use one of my ppa's for
14.10, the current testing version is now working fine, I've fixed all
issues with both libavcodec and uvcvideo, so I'll release the new
version both in sourceforge and in my stable ppa.

Regards,
Paulo

2014-10-01 20:02 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> Paulo Assis:
>> 1.7.3 won't work with kernels >=3.16, you will need a newer version,
>> uvcvideo suffered a regression that will only be fixed (hopefully) in
>> 3.18, the developer already posted a patch to fix it.
>> I'll make a new release (2.0.1) in the next couple of days with a
>> workaround for this. you will need this version to get guvcview up and
>> running with uvcvideo devices.
>>
>> Note: libv4l2 (1.4.0 and 1.5.0) is also broken, a fix is expected in
>> 1.6.0, but you will be able to disable its use in guvcview in this
>> version.
>
> What are you plans to guvcview not to be affected by these breakdowns in
> future?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

Paulo Assis:
> I actually tend to fix things rather quickly, unfurtunately in the
> case of Ubuntu they can take some time to upgrade, so you are left
> with a non working version until the next release.

Do you think that a semi-rolling release model could improve quality in
applications?

Paulo Assis (pj-assis) wrote :

Hi,

2014-10-02 17:30 GMT+01:00 Alberto Salvia Novella <email address hidden>:
> Paulo Assis:
>> I actually tend to fix things rather quickly, unfurtunately in the
>> case of Ubuntu they can take some time to upgrade, so you are left
>> with a non working version until the next release.
>
> Do you think that a semi-rolling release model could improve quality in
> applications?

For applications I would definitely adopt some sort of rolling
release, but for core stuff (kernel, desktop manager, core libs) I
think a timed release is probably better, as it would help keep the
system more stable.
I don't think keeping a broken app for 6 months, just because that's
the version available in debian at the time of release, is a very good
policy, specially if a fixed version is already available.

Regards,
Paulo

>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

Paulo Assis:
> For applications I would definitely adopt some sort of rolling
> release, but for core stuff (kernel, desktop manager, core libs) I
> think a timed release is probably better, as it would help keep the
> system more stable.
> I don't think keeping a broken app for 6 months, just because that's
> the version available in debian at the time of release, is a very good
> policy, specially if a fixed version is already available.

Then I see that I'm not the only one who thought it: that software
releasing need different approaches depending on how much
interdependency there is.

Okay: so than you for your insight. I think that you have managed this
bug very diligently :-)

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1373221

tags: added: iso-testing
robbielink (robbielink) wrote :

I've been successfully using the testing PPA listed in #8 above but the latest release will not update:

E: /var/cache/apt/archives/guvcview_2.0.1+ubuntu2~ppa1+1253-0ubuntu0~201411200931~ubuntu14.10.1_amd64.deb: trying to overwrite '/usr/share/locale/lv/LC_MESSAGES/guvcview.mo', which is also in package guvcview-i18n 2.0.1+ubuntu1~ppa1+1251-0ubuntu0~201411171931~ubuntu14.10.1

Ubuntu 14.10 64bit

Wasn't sure where to report this.

Paulo Assis (pj-assis) wrote :

Hi.
Guvcview debian mantainer choosed a diferent packaging approach. In order
to keep some sanity I've changed my ppa to make it compatible.
This means you will need to uninstall any previous guvcview packages and
associated libraries before installing the new ones.

Regards
Paulo
Em 20/11/2014 16:25, "robbielink" <email address hidden> escreveu:

> I've been successfully using the testing PPA listed in #8 above but the
> latest release will not update:
>
> E:
>
> /var/cache/apt/archives/guvcview_2.0.1+ubuntu2~ppa1+1253-0ubuntu0~201411200931~ubuntu14.10.1_amd64.deb:
> trying to overwrite '/usr/share/locale/lv/LC_MESSAGES/guvcview.mo',
> which is also in package guvcview-i18n
> 2.0.1+ubuntu1~ppa1+1251-0ubuntu0~201411171931~ubuntu14.10.1
>
> Ubuntu 14.10 64bit
>
> Wasn't sure where to report this.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions
>

robbielink (robbielink) wrote :

Thanks, Paulo. That fixed it.

vedavata (vedavrata) wrote :

The same problem. :-(

 uname -a
Linux DELL-E6430 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Ubuntu 14.10 (Utopic Unicorn)

tosik@DELL-E6430:~$ guvcview
guvcview 1.7.3
file guvcview_video.mkv has extension type 1
file guvcview_image.jpg has extension type 0

** (guvcview:24741): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-Grv3g4WwxK: Connection refused
file guvcview_image.jpg has extension type 0
Video file suffix detected: 0
Image file suffix detected: 0
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_route.c:947:(find_matching_chmap) Found no matching channel map
bt_audio_service_open: connect() failed: Connection refused (111)
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
checking format: JPEG
Format unavailable: JPEG
Init v4L2 failed !!
Init video returned -2
trying minimum setup ...
 format: YUYV
 resolution: 640 x 480
 framerate: 1/30
video device: /dev/video0
vid:046d
pid:0825
driver:uvcvideo
device doesn't seem to support uvc H264 (0)
mapping control for Pan (relative)
UVCIOC_CTRL_MAP - Error: No such file or directory
mapping control for Tilt (relative)
UVCIOC_CTRL_MAP - Error: No such file or directory
mapping control for Pan Reset
UVCIOC_CTRL_MAP - Error: No such file or directory
mapping control for Tilt Reset
UVCIOC_CTRL_MAP - Error: No such file or directory
mapping control for Focus (absolute)
UVCIOC_CTRL_MAP - Error: No such file or directory
mapping control for LED1 Mode
UVCIOC_CTRL_MAP - Error: No such file or directory
mapping control for LED1 Frequency
UVCIOC_CTRL_MAP - Error: No such file or directory
mapping control for Disable video processing
UVCIOC_CTRL_MAP - Error: No such file or directory
mapping control for Raw bits per pixel
UVCIOC_CTRL_MAP - Error: No such file or directory
Init. UVC Camera (046d:0825) (location: usb-0000:00:1d.0-1.7.2)
{ pixelformat = 'YUYV', description = 'YUV 4:2:2 (YUYV)' }
{ pixelformat = 'MJPG', description = 'MJPEG' }
{ pixelformat = 'RGB3', description = 'RGB3' }
{ pixelformat = 'BGR3', description = 'BGR3' }
{ pixelformat = 'YU12', description = 'YU12' }
{ pixelformat = 'YV12', description = 'YV12' }
checking muxed H264 format support
device doesn't seem to support uvc H264 (0)
checking format: YUYV
fps is set to 1/30
drawing controls

Segmentation fault (core dumped)

Paulo Assis (pj-assis) wrote :
Download full text (3.3 KiB)

Hi,
please upgrade to version 2.0.1, you can use one of the following ppa:

stable: https://launchpad.net/~pj-assis/+archive/ubuntu/ppa

testing (latest git): https://launchpad.net/~pj-assis/+archive/ubuntu/testing

Regards,
Paulo

2015-01-21 4:37 GMT+00:00 vedavata <email address hidden>:
> The same problem. :-(
>
> uname -a
> Linux DELL-E6430 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> Ubuntu 14.10 (Utopic Unicorn)
>
>
> tosik@DELL-E6430:~$ guvcview
> guvcview 1.7.3
> file guvcview_video.mkv has extension type 1
> file guvcview_image.jpg has extension type 0
>
> ** (guvcview:24741): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-Grv3g4WwxK: Connection refused
> file guvcview_image.jpg has extension type 0
> Video file suffix detected: 0
> Image file suffix detected: 0
> ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
> ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
> ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
> ALSA lib pcm_route.c:947:(find_matching_chmap) Found no matching channel map
> bt_audio_service_open: connect() failed: Connection refused (111)
> Cannot connect to server socket err = No such file or directory
> Cannot connect to server request channel
> jack server is not running or cannot be started
> checking format: JPEG
> Format unavailable: JPEG
> Init v4L2 failed !!
> Init video returned -2
> trying minimum setup ...
> format: YUYV
> resolution: 640 x 480
> framerate: 1/30
> video device: /dev/video0
> vid:046d
> pid:0825
> driver:uvcvideo
> device doesn't seem to support uvc H264 (0)
> mapping control for Pan (relative)
> UVCIOC_CTRL_MAP - Error: No such file or directory
> mapping control for Tilt (relative)
> UVCIOC_CTRL_MAP - Error: No such file or directory
> mapping control for Pan Reset
> UVCIOC_CTRL_MAP - Error: No such file or directory
> mapping control for Tilt Reset
> UVCIOC_CTRL_MAP - Error: No such file or directory
> mapping control for Focus (absolute)
> UVCIOC_CTRL_MAP - Error: No such file or directory
> mapping control for LED1 Mode
> UVCIOC_CTRL_MAP - Error: No such file or directory
> mapping control for LED1 Frequency
> UVCIOC_CTRL_MAP - Error: No such file or directory
> mapping control for Disable video processing
> UVCIOC_CTRL_MAP - Error: No such file or directory
> mapping control for Raw bits per pixel
> UVCIOC_CTRL_MAP - Error: No such file or directory
> Init. UVC Camera (046d:0825) (location: usb-0000:00:1d.0-1.7.2)
> { pixelformat = 'YUYV', description = 'YUV 4:2:2 (YUYV)' }
> { pixelformat = 'MJPG', description = 'MJPEG' }
> { pixelformat = 'RGB3', description = 'RGB3' }
> { pixelformat = 'BGR3', description = 'BGR3' }
> { pixelformat = 'YU12', description = 'YU12' }
> { pixelformat = 'YV12', description = 'YV12' }
> checking muxed H264 format support
> device doesn't seem to support uvc H264 (0)
> checking format: YUYV
> fps is set to 1/30
> drawing controls
>
> Segmentation fault (core dumped)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://b...

Read more...

vedavata (vedavrata) wrote :

> please upgrade to version 2.0.1, you can use one of the following ppa:
> stable: https://launchpad.net/~pj-assis/+archive/ubuntu/ppa

This helped!
Thank you very much!

But... with this version 2.0.1, when video size became 2 GB, guvcview hung up... :-(

# guvcview
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
** (guvcview:15514): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-Grv3g4WwxK: Connection refused
V4L2_CORE: VIDIOC_S_EXT_CTRLS for multiple controls failed (error -1)
V4L2_CORE: using VIDIOC_S_CTRL for user class controls
V4L2_CORE: control(0x0098091a) "White Balance Temperature" failed to set (error -1)
V4L2_CORE: VIDIOC_S_EXT_CTRLS for multiple controls failed (error -1)
V4L2_CORE: using VIDIOC_S_EXT_CTRLS on single controls for class: 0x009a0000
V4L2_CORE: control(0x009a0902) "Exposure (Absolute)" failed to set (error -1)
GUVCVIEW: error setting spin value
(guvcview:15514): GLib-GObject-CRITICAL **: g_value_set_object: assertion 'G_VALUE_HOLDS_OBJECT (value)' failed
GUVCVIEW: (status) saving video to /media/ntfs2/guvc/guvc-video-1.mkv
ENCODER: add stream 0 to stream list
ENCODER: add stream 1 to stream list
ENCODER: (matroska) add seekhead entry 0 (max 10)
ENCODER: (matroska) add seekhead entry 1 (max 10)
AUDIO: Pulseaudio pa_stream_get_latency() failed
[...]
ENCODER: (matroska) packet buffer [81] is in use: flushing cached data
ENCODER: video ring buffer full - dropping frame
AUDIO: write buffer(23) is still in use - dropping data

What can be the reason?

Paulo Assis (pj-assis) wrote :

Hi,
What do you mean by "hang up" ?
Does the control window becomes unresponsive?

From the logs all I notice is that the capture ring buffer gets full,
this usually means frames are not being encoded fast enough. Guvcview
tries to compensate for this, by reducing the frame rate.
Also the matroska muxer caches audio frames so that matching audio and
video packets are stored in the same cluster.
In this case for some reason video frames are not being fed to the
muxer, so audio keeps filling the cache.
Have you tried reducing the resolution, or fps?
You should also test with different codecs and with the avi muxer,
also maybe with audio disabled, just to check if it makes any
difference.

Regards,
Paulo

2015-01-22 21:34 GMT+00:00 vedavata <email address hidden>:
>> please upgrade to version 2.0.1, you can use one of the following ppa:
>> stable: https://launchpad.net/~pj-assis/+archive/ubuntu/ppa
>
> This helped!
> Thank you very much!
>
> But... with this version 2.0.1, when video size became 2 GB, guvcview
> hung up... :-(
>
> # guvcview
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
> ** (guvcview:15514): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-Grv3g4WwxK: Connection refused
> V4L2_CORE: VIDIOC_S_EXT_CTRLS for multiple controls failed (error -1)
> V4L2_CORE: using VIDIOC_S_CTRL for user class controls
> V4L2_CORE: control(0x0098091a) "White Balance Temperature" failed to set (error -1)
> V4L2_CORE: VIDIOC_S_EXT_CTRLS for multiple controls failed (error -1)
> V4L2_CORE: using VIDIOC_S_EXT_CTRLS on single controls for class: 0x009a0000
> V4L2_CORE: control(0x009a0902) "Exposure (Absolute)" failed to set (error -1)
> GUVCVIEW: error setting spin value
> (guvcview:15514): GLib-GObject-CRITICAL **: g_value_set_object: assertion 'G_VALUE_HOLDS_OBJECT (value)' failed
> GUVCVIEW: (status) saving video to /media/ntfs2/guvc/guvc-video-1.mkv
> ENCODER: add stream 0 to stream list
> ENCODER: add stream 1 to stream list
> ENCODER: (matroska) add seekhead entry 0 (max 10)
> ENCODER: (matroska) add seekhead entry 1 (max 10)
> AUDIO: Pulseaudio pa_stream_get_latency() failed
> [...]
> ENCODER: (matroska) packet buffer [81] is in use: flushing cached data
> ENCODER: video ring buffer full - dropping frame
> AUDIO: write buffer(23) is still in use - dropping data
>
> What can be the reason?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

vedavata (vedavrata) wrote :

> What do you mean by "hang up" ?
> Does the control window becomes unresponsive?

Yes.
And MKV-files is stopped to fiil.

> From the logs I notice is that the capture ring buffer gets full,
> this usually means frames are not being encoded fast enough.
> Guvcview tries to compensate for this, by reducing the frame rate.

I tried 30, 25, 20, 15 fps -- the same result: when MVK-files reeaces 2 GB, guvcview hangs up...

> Also the matroska muxer caches audio frames so that matching audio and
> video packets are stored in the same cluster.

I doubt, that AVI is better... :-)

> In this case for some reason video frames are not being fed to the muxer, so audio keeps filling the cache.
> Have you tried reducing the resolution, or fps?

Yes. 30, 25, 20, 15 fps... 960, 800, 640 pixels... [On a Core i5 processor.]

> You should also test with different codecs and with the avi muxer,

Yes, tried MPEG2, H264... The same... 2 GB... (on any FS: ntfs, ext3...)

> also maybe with audio disabled, just to check if it makes any difference.

I will try without audio...
Thank you.

Should i open a new bug?

Paulo Assis (pj-assis) wrote :

Hi,

2015-01-28 2:26 GMT+00:00 vedavata <email address hidden>:
>> What do you mean by "hang up" ?
>> Does the control window becomes unresponsive?
>
> Yes.
> And MKV-files is stopped to fiil.
>
>> From the logs I notice is that the capture ring buffer gets full,
>> this usually means frames are not being encoded fast enough.
>> Guvcview tries to compensate for this, by reducing the frame rate.
>
> I tried 30, 25, 20, 15 fps -- the same result: when MVK-files reeaces 2
> GB, guvcview hangs up...

OK, I'll test this again in another machine.

>
>> Also the matroska muxer caches audio frames so that matching audio and
>> video packets are stored in the same cluster.
>
> I doubt, that AVI is better... :-)

It's not, but it's a completely different muxer, it doesn't care about
timestamps, so it just writes packages immediately to file.

>
>> In this case for some reason video frames are not being fed to the muxer, so audio keeps filling the cache.
>> Have you tried reducing the resolution, or fps?
>
> Yes. 30, 25, 20, 15 fps... 960, 800, 640 pixels... [On a Core i5
> processor.]
>
>> You should also test with different codecs and with the avi muxer,
>
> Yes, tried MPEG2, H264... The same... 2 GB... (on any FS: ntfs, ext3...)
>
>> also maybe with audio disabled, just to check if it makes any
> difference.
>
> I will try without audio...
> Thank you.

Ok. I'll wait for your results.

>
> Should i open a new bug?

Yes please, this is a different bug.

Regards,
Paulo

>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

vedavata (vedavrata) wrote :

> Ok. I'll wait for your results.

Without sound, the same problem occurs...

>> Should i open a new bug?

> Yes please, this is a different bug.

Here it is:
https://bugs.launchpad.net/ubuntu/+source/guvcview/+bug/1416398

Thank you.

vedavata (vedavrata) wrote :

On Jan 28, 2015 at 11:17, Paulo Assis <email address hidden> wrote:

> Ok. I'll wait for your results.

Without sound, the same problem occurs...

>> Should i open a new bug?

> Yes please, this is a different bug.

Here it is:
https://bugs.launchpad.net/ubuntu/+source/guvcview/+bug/1416398

Thank you.
//

Alexander Amelkin (spirit-rc) wrote :

On Ubuntu 14.04.2 LTS (kernel 3.13.0-45 x86_64) with STK1160 USB capture device and the latest testing (as well as stable) version of guvcview, I get the following:

spirit@myrth:~$ guvcview
GUVCVIEW: version 2.0.1
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
V4L2_CORE: (VIDIOC_ENUM_FRAMESIZES) - Error enumerating frame sizes
v4L2_CORE: Unable to enumerate frame sizes :Inappropriate ioctl for device
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
Segmentation fault (core dumped)

Attached please find an strace log. I can also attach a core file if you want, but it is 25 megabytes.

tags: added: trusty
Paulo Assis (pj-assis) wrote :

Hi,

please post the output of:
guvcview --verbosity=2

this should print some more extra lines

Regards,
Paulo

2015-03-17 23:06 GMT+00:00 Alexander Amelkin <email address hidden>:
> On Ubuntu 14.04.2 LTS (kernel 3.13.0-45 x86_64) with STK1160 USB capture
> device and the latest testing (as well as stable) version of guvcview, I
> get the following:
>
> spirit@myrth:~$ guvcview
> GUVCVIEW: version 2.0.1
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (UVCIOC_CTRL_MAP) Error: Inappropriate ioctl for device
> V4L2_CORE: (VIDIOC_ENUM_FRAMESIZES) - Error enumerating frame sizes
> v4L2_CORE: Unable to enumerate frame sizes :Inappropriate ioctl for device
> ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
> ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
> ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> Cannot connect to server socket err = No such file or directory
> Cannot connect to server request channel
> jack server is not running or cannot be started
> Segmentation fault (core dumped)
>
> Attached please find an strace log. I can also attach a core file if you
> want, but it is 25 megabytes.
>
> ** Attachment added: "strace log"
> https://bugs.launchpad.net/ubuntu/+source/guvcview/+bug/1373221/+attachment/4348541/+files/strace.log
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1373221
>
> Title:
> guvcview crashed with SIGSEGV in get_ctrl_by_id()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/guvcview/+bug/1373221/+subscriptions

I'm going to unsuscribe from this bug report now. If you need my help, feel free to subscribe me again.

Stefan Tauner (stefanct) wrote :
Download full text (12.5 KiB)

I doubt that this verbose log helps much, but here you go...
This is with a Trust 17676 webcam (145f:019f) on Debian 8 (guvcview 2.0.1+debian-1).

$ guvcview --verbosity=2
GUVCVIEW: couldn't open /home/.../.config/guvcview2/video0 for read: No such file or directory
GUVCVIEW: language catalog=> dir:/usr/share/locale type:(null) cat:guvcview.mo
GUVCVIEW: main thread (tid: 879)
V4L2_CORE: Device Node Path: /dev/video0
  VID/PID: 145f 019f
  Novatek
  Trust Webcam
  serial: (null)
  busnum: 3
  devnum: 3
V4L2_CORE: language catalog=> dir:/usr/share/locale type:(null) cat:gview_v4l2core.mo
V4L2_CORE: capture method mmap (1)
V4L2_CORE: video device: /dev/video0
V4L2_CORE: mapping control for Pan (relative)
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: mapping control for Tilt (relative)
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: mapping control for Pan Reset
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: mapping control for Tilt Reset
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: mapping control for Focus
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: mapping control for LED1 Mode
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: mapping control for LED1 Frequency
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: mapping control for Disable video processing
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: mapping control for Raw bits per pixel
V4L2_CORE: (UVCIOC_CTRL_MAP) Error: No such file or directory
V4L2_CORE: Init. Trust Webcam (location: usb-0000:00:1a.7-2)
{ pixelformat = 'YUYV', description = 'YUV 4:2:2 (YUYV)' }
{ discrete: width = 640, height = 480 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 160, height = 120 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 176, height = 144 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 320, height = 240 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 352, height = 288 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 1280, height = 720 }
 Time interval between frame: 1/10, 2/15,
{ discrete: width = 1920, height = 1080 }
 Time interval between frame: 1/5,
{ pixelformat = 'MJPG', description = 'MJPEG' }
{ discrete: width = 640, height = 480 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 160, height = 120 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 176, height = 144 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 320, height = 240 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 352, height = 288 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 1280, height = 720 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ discrete: width = 1920, height = 1080 }
 Time interval between frame: 1/30, 1/20, 1/15, 1/10, 2/15,
{ pixelformat = 'RGB3', d...

Stefan Tauner (stefanct) wrote :

This is probably more interesting (from running guvcview in gdb):

[New Thread 0x7fffe5e44700 (LWP 27177)]
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
[Thread 0x7fffe5e44700 (LWP 27177) exited]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff77b2115 in audio_init_portaudio () from /usr/lib/x86_64-linux-gnu/libgviewaudio-1.0.so.0
(gdb) bt
#0 0x00007ffff77b2115 in audio_init_portaudio () from /usr/lib/x86_64-linux-gnu/libgviewaudio-1.0.so.0
#1 0x00007ffff77afada in audio_init () from /usr/lib/x86_64-linux-gnu/libgviewaudio-1.0.so.0
#2 0x00000000004084e6 in ?? ()
#3 0x0000000000407336 in main ()

My libguvcview-1.0-0:amd64 is version 2.0.1+debian-1.

Stefan Tauner (stefanct) wrote :

Whoopsie... I completely missed the subject and the stack traces above, sorry.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

  • auto-pj.assis Edit
  • auto-tempbuntu Edit

Bug watches keep track of this bug in other bug trackers.